This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817225 - error installing bootloader on DVD mactel boot
error installing bootloader on DVD mactel boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 02:45 EDT by Chris Murphy
Modified: 2013-08-01 01:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:05:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (20.08 KB, text/plain)
2012-04-28 02:46 EDT, Chris Murphy
no flags Details
program.log (273.70 KB, text/plain)
2012-04-28 02:46 EDT, Chris Murphy
no flags Details
storage.log (226.13 KB, text/plain)
2012-04-28 02:47 EDT, Chris Murphy
no flags Details
anaconda.log (new) (21.98 KB, text/plain)
2012-05-10 00:39 EDT, Chris Murphy
no flags Details
program.log (new) (266.67 KB, text/plain)
2012-05-10 00:39 EDT, Chris Murphy
no flags Details
storage.log (new) (282.97 KB, text/plain)
2012-05-10 00:39 EDT, Chris Murphy
no flags Details
dmesg (105.20 KB, text/plain)
2012-05-10 00:41 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2012-04-28 02:45:54 EDT
Description of problem:
After all packages complete installing, receive a message "There was an error installing the bootloader. The system may not be bootable."


Version-Release number of selected component (if applicable):
Fedora-17-TC2-x86_64-DVD.iso
anaconda 17.23

How reproducible:
1 for 1


Steps to Reproduce:
1. Burn ISO to DVD. DVD verified to checksum.
2. Boot from DVD. Run "Use All Space"
3. Pared down some packages...then executed.
  
Actual results:
error installing bootloader

Expected results:
to not get this error

Regression:
This does NOT occur with the LiveCD either burned to DVD media or dd'd to a stick. 1 for 1 for those as well.

Additional info:
Comment 1 Chris Murphy 2012-04-28 02:46:26 EDT
Created attachment 580936 [details]
anaconda.log
Comment 2 Chris Murphy 2012-04-28 02:46:51 EDT
Created attachment 580937 [details]
program.log
Comment 3 Chris Murphy 2012-04-28 02:47:16 EDT
Created attachment 580938 [details]
storage.log
Comment 4 Chris Murphy 2012-04-28 02:49:40 EDT
Hardware: Apple MacbookPro4,1
This is EFI boot, not CSM.
Comment 5 Adam Williamson 2012-04-28 03:46:32 EDT
it seems like program.log just suddenly stops halfway through the bootloader process with no obvious error. The last thing it tries, I believe, is removing the existing 'Fedora' entry in the EFI boot manager. So could the bug in fact be that attempting to remove an existing 'Fedora' entry has problems with this firmware? Does the install succeed if you start in a state where there's no entry named 'Fedora' in the EFI boot manager?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Chris Murphy 2012-04-28 04:09:31 EDT
This is probably user confusion.

If I do a default DVD "Graphical Desktop" with "Customize Later" selected, the problem is NOT reproducible.

I can reproduce the previous failure by choosing Customize Now and:
Uncheck Gnome.
Check Xfce
Uncheck all Applications
Uncheck Printing Support
Uncheck everything in Base System except X Window System

So probably my own doing, but I'd propose it shouldn't be possible for the user to customize packages and end up with an unbootable system. *shrug*
Comment 7 Chris Murphy 2012-04-28 04:15:23 EDT
(In reply to comment #5)
>Does the install succeed if you start in a state where there's no
> entry named 'Fedora' in the EFI boot manager?

No idea what you mean by "EFI boot manager".
Comment 8 Adam Williamson 2012-05-02 06:13:51 EDT
When you're using EFI, the firmware itself handles booting different operating systems. Instead of there being a 'master' bootloader in the MBR of whatever disk you're booting, OSes basically are supposed to set up a bootloader just for booting themselves, in a standardized way (this is what grub-efi is) and then tell the EFI firmware where this bootloader is; then the firmware constructs a boot menu that lets you pick which OS to boot. When you pick to boot OS X or 'other OS' (or whatever the choices are, I forget) at boot time on a Mac, you're actually interacting with Apple's (idiotic) take on an 'EFI boot manager'.

It seems weird that you can trigger this by de-selecting packages for installation to the target system, as I thought all the setup steps happen from the anaconda environment, not from the installed environment, but the anaconda guys might have some idea...



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Chris Murphy 2012-05-02 12:35:57 EDT
Going back to comment five, (In reply to comment #5)
>Does the install succeed if you start in a state where there's no
> entry named 'Fedora' in the EFI boot manager?

This question I don't understand so I can't answer it.

a.) When I startup with option key, with DVD inserted, I see only two options: Windows and EFI Boot. There is no Fedora option.

b.) If there were a Fedora option, the UI doesn't present a way for me to remove it.
Comment 10 Orion Poplawski 2012-05-04 19:08:16 EDT
I just got this doing a koan --replace-self install on an existing Fedora 17 i386 physical machine.  Did not see it doing the same on a F17 x86_64 VM.  System was indeed not bootable with:

error: unknown filesystem
Entering rescue mode...
grub rescue>

non-EFI so if this needs to be a separate bug I can do that.  I'm afraid I neglected to copy the logs before reboot.  There was a grub warning message about not setting GRUB_DEFAULT correctly or some such.
Comment 11 Orion Poplawski 2012-05-08 13:34:34 EDT
My problem turned out to be bug 818378, which is unlikely to be related to this report.  Sorry for the noise.
Comment 12 Adam Williamson 2012-05-08 21:00:16 EDT
chris: you can see and manipulate all the entries in the EFI boot manager by booting Fedora via EFI - any old way, a live image, the rescue mode of the installer, whatever - and using the 'efibootmgr' tool.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Chris Murphy 2012-05-09 19:14:54 EDT
The problem does not occur if efibootmgr reports:
BootCurrent: 0000
BootFFFF*

The problem does occur when efibootmgr reports:
BootCurrent: 0000
BootOrder: 0000
Boot0000* Fedora
BootFFFF*

After the bootloader error, efibootmgr reports:
BootCurrent: 0000
BootOrder: 0000
BootFFFF*

Also, the problem when it occurs is reproducible with the Minimal Install option, not only as in comment #6.
Comment 14 Adam Williamson 2012-05-09 21:42:38 EDT
So to summarize, what we have is that *if* there's an existing 'Fedora' EFI boot manager entry and _also_ you:

Uncheck Gnome.
Check Xfce
Uncheck all Applications
Uncheck Printing Support
Uncheck everything in Base System except X Window System

then you hit this bug? Okay. Well, um, that's...odd. Any ideas, anaconda folks?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Chris Murphy 2012-05-09 22:27:52 EDT
Also occurs with the "Minimal" option + "Customize Later" if efibootmgr reports, prior to the installation attempt:
BootCurrent: 0000
BootOrder: 0000
Boot0000* Fedora
BootFFFF*

However, here's a case where "Minimal" option + "Customize Later does NOT reproduce the problem:
BootCurrent: 0000
BootOrder: 0000,0080
Boot0000* Fedora
Boot0080* Mac OS X
BootFFFF*

I'm confused and don't really understand what's causing the failure. What I can say is that:

a.) So far, every time NVRAM is clear of a Fedora entry in advance of running anaconda, no matter the packages chosen for install, the error does not occur.

b.) Most of the time, NVRAM containing a Fedora entry, causes the failure to occur either as described in comment 6 (manually parred packages) or the Minimal installation option. The one exception so far is if NVRAM also contains a Mac OS X entry, which I've tried twice and neither time did the error occur.
Comment 16 Chris Murphy 2012-05-10 00:15:59 EDT
OK so here is part of the confusion, it fails every other time. I think this is because when the error occurs it removes the Fedora entry, so the next attempt works, which then sets a Fedora entry and then the next attempt fails.

I've reproduced this even with the default Graphical install, no changes, Customize Later.

I have no other EFI hardware to try this on, so it may not be a Mac EFI specific bug.
Comment 17 Adam Williamson 2012-05-10 00:19:11 EDT
I don't recall ever seeing it in my EFI tests, FWIW.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Chris Murphy 2012-05-10 00:37:37 EDT
dmesg has a curious entry at the time of this error:

efivars: DataSize & Attributes must be valid!

I will attach dmesg and new logs. This is 100% reproducible, every other time.
Comment 19 Chris Murphy 2012-05-10 00:39:01 EDT
Created attachment 583424 [details]
anaconda.log (new)
Comment 20 Chris Murphy 2012-05-10 00:39:32 EDT
Created attachment 583425 [details]
program.log (new)
Comment 21 Chris Murphy 2012-05-10 00:39:56 EDT
Created attachment 583426 [details]
storage.log (new)
Comment 22 Chris Murphy 2012-05-10 00:41:04 EDT
Created attachment 583427 [details]
dmesg

entry of interest occurs at 1617
Comment 23 Jesse Keating 2012-07-18 13:49:30 EDT
Can this still be reproduced with F17 final?
Comment 24 Chris Murphy 2012-07-18 17:39:45 EDT
It is reproducible on every other (re)installation attempt with F17 final.
Comment 25 Chris Murphy 2012-07-18 18:20:32 EDT
Reproducible on MacbookPro 4,1, EFI boot. And the installation type, Graphical Desktop, or Minimal, or Customize Now (and choosing packages) doesn't matter - there is always failure on every other attempt with the message:

"There was an error installing the bootloader. The system may not be bootable."

The resulting installed system is not bootable, I'm dropped to a grub> prompt.
Comment 26 Fedora End Of Life 2013-07-03 21:00:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2013-08-01 01:05:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.